package com.fufan.mtsaas.modules.sysmgr.sygroup.service;

import com.baomidou.mybatisplus.service.IService;
import com.fufan.mtsaas.modules.common.bo.response.RequestPojo;
import com.fufan.mtsaas.modules.common.bo.response.Result;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupMenuQueryRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupMenuSaveBatchRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.bo.request.GroupMenuSaveRequest;
import com.fufan.mtsaas.modules.sysmgr.sygroup.model.SYgroupMenu;

/**
 *  服务类
 *
 * @author Liby
 * @since 2019-08-18
 */
public interface SYgroupMenuSvc extends IService<SYgroupMenu> {

    Result doQueryPage(GroupMenuQueryRequest map);

    Result doSave(SYgroupMenu entity, RequestPojo requestPojo);

    Result doUpdate(SYgroupMenu entity, RequestPojo requestPojo);

    Result doDelete(GroupMenuQueryRequest map, RequestPojo requestPojo);

    Result doSaveMap(GroupMenuSaveRequest map, RequestPojo requestPojo);

    Result doUpdateMap(GroupMenuSaveRequest map, RequestPojo requestPojo);

    Result doQueryUnSelectPage(GroupMenuQueryRequest map);

    Result doBatchUpdate(GroupMenuSaveBatchRequest map, RequestPojo requestPojo);

}
